@echo on
setlocal
REM  Licensed Materials - Property of IBM
REM  Restricted Materials of IBM
REM 
REM  Copyright IBM Corp. 2010 All Rights Reserved.
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM 
REM  Release Name: ompower_621
REM 
REM  Description: Post Installation script; update instance ini files with new version
REM  so they will pick up new config parameter changes
REM
REM  Parameters:
REM    CANDLEHOME, set in the environment
REM
REM  Returns:
REM    0 - successful
REM    100 - failed
REM ======================================================
REM

echo "Starting ke4_postinstall.bat script..."

REM make sure CANDLE_HOME exists
if not exist "%CANDLE_HOME%" (
echo "CANDLE_HOME not set in environment, exiting..."
exit 100
)

REM cd to the destination directory 
cd "%CANDLE_HOME%"\tmaitm6

REM update the instance ini files with new version KinVRML
REM txtsub.exe is installed with the rest of the ke4 patch agent in order to do this. It is a factory tool

for /f %%i in ('dir /b /s KE4CMA_*.INI') do (
  echo Modifying version in instance  %%i
  txtsub.exe -i "%CANDLE_HOME%\TMAITM6\KE4CMA.INI" "%%i" 
 )

)


echo "Ending ke4_postinstall.bat script..."

endlocal
